<!DOCTYPE html>
<!-- This file needs to be processed by build_web.py every time the set of test configurations changes -->
<html>
  <head>
    <meta charset="UTF-8">
    <title>CAN Latester</title>
    <script src="plotly-2.22.0-custom.min.js"></script>
    <script>
      var kernels = [{kernels}];
    </script>
    <script src="common.js"></script>
    <script src="inspect.js"></script>
    <link rel="stylesheet" href="style.css"></style>
  </head>
  <body>
    <h1>CAN Latency tester</h1>
    <nav>
      <a href="./">Overview</a>
      <a class="navactive" href="inspect.html">Inspect</h2>
      <a href="compare.html">Compare</a>
    </nav>
    {kernel-btns}
    <!--<button id="kernmaster" onclick="switchkernel('master')">master</button>-->
    <br/>
    <button class="chkbtn" id="tglload" onclick="toggleparam('load')">Under load</button>
    <button class="chkbtn" id="tglprio" onclick="toggleparam('prio')">RT priority set</button>
    <button class="chkbtn" id="tglkern" onclick="toggleparam('kern')">Kernel GW</button>
    <button class="chkbtn" id="tglflood" onclick="toggleparam('flood')">Flood</button>
    <button class="chkbtn" id="tglfd" onclick="toggleparam('fd')">CAN FD</button>
    <button class="chkbtn" id="tglthrd" onclick="toggleparam('thrd')">Threaded NAPI</button>
    {data-range}
    <div class="box">
      <h3 id="graph-title">Gateway latency</h3>
      <button id="tglline" onclick="togglelineplot()">Line plot</button>
      <button id="tglheatmap" onclick="toggleheatmap()">Heatmap view</button>
      <button id="tglsurface" onclick="togglesurface()">Surface view</button>
      <!-- Instead of toggle - dropdown for surface, low-high, selectable range of individual traces -->
      <p id="txtshowhist">Click into graph to show individual histogram below</p>
      <div id="plot"></div>
      <p id="hoverinfo"><br></p>
    </div>
    <br/>
    <div class="box">
      <h4 onclick="togglecollapsible(this)" class="coll-header collapsed">Long time statistics</h4>
      <div class="collapsible">
        <p id="l_best">Best: xx ms</p>
        <p id="l_worst">Worst: xx ms</p>
        <p id="l_avg">Average: xx ms</p>
      </div>
    </div>
    <br/>
    <div class="box">
      <h4>Single run histogram</h4>
      <p id="currenthistid"></p>
      <div id="plot2"></div>
      <button onclick="togglecumulative()">Toggle cumulative</button>
    </div>
    <br/>
    <div class="box">
      <h4>Single run statistics</h4>
      <p id="s_lost">Lost: 0</p>
      <p id="s_best">Best: xx ms</p>
      <p id="s_5th">5th percentile: xx ms</p>
      <p id="s_med">Median: xx ms</p>
      <p id="s_95th">95th percentile: xx ms</p>
      <p id="s_worst">Worst: xx ms</p>
    </div>
  </body>
</html>